:root{
    --container-gap:20px;
    --container-padding-t:48px;
    --container-padding-v:20px;
    --container-padding-b:48px;
    --container-padding-l:30px;

    --gap-small: 8px;
    --gap-medium: 16px;
    --gap-large: 24px;
}

.section{
    position: relative;
    width: 100%;
    padding: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: var(--container-gap);
    flex-wrap: wrap;
    overflow: hidden;
    
}
.section--equal{
    align-items: center;
    justify-content: center;
}
.section--clean{
    padding: 0 !important;
}
.section--header{
    padding: 0 20px;
}
.section--tall{
    min-height: 100vh;
}

.align-center{
    justify-content: center;
    align-items: center;
    margin: auto;
}
.align-left{
    justify-content: center;
    align-items: flex-start;
    padding: 20px;
}
.section--vertical{
    flex-direction: column;
}
.section--hero{
    aspect-ratio: 800/1200;
}

.section--text-center {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.section--image-bottom {
    height: 100%;
    display: flex;
    align-items: flex-end;
}

@media(min-width:700px){
    .section--hero{
        aspect-ratio: 16/9;
    }
}
.section__title{
    font: var(--f-headline);
}
.section__subtitle{
    font: var(--f-headline-small);
}
.box{
    position: relative;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    font: var(--f-body-medium);
}
.box--clean{
    border: none;
    background-color: transparent;   
}
.box--tall{
    min-height: 90%;
}
.box--center{
    margin: auto;
    text-align: center;
}
.box--wide{
    min-width: 90%;
}
.box--horizontal{
    flex-direction: row;
    padding: 0px;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap:10px;
}
.box--half, .box--third, .box--forth{
    width: 100%;
    height: 100%;
}

.box--flexible{
    flex-direction: column;
    flex-wrap: wrap;
}
.box--grey{
    background-color: rgba(0, 18, 56, 0.04);
}
.box--rounded{
    border-radius: 24px;
}
.box--space-med{
    padding: 20px 10px;
    justify-content: flex-start;
    align-content: center;
    margin: auto;
}
@media (min-width:700px){
    .box--half{
        width:  calc(50% - var(--container-gap));
    }
    .box--third{
        width:  calc(33% - var(--container-gap));
    }
    .box--forth{
        width:  calc(25% - var(--container-gap));
    }
    .box--flexible{
        flex-wrap: wrap;
    }
}
.box__title{
    font: var( --f-title-medium);
    margin: 0.5rem 0;
    
}
.box__subtitle{
    font: var(--f-control-large);
    margin: 0;
    
}
.box__footnote{
    font: var(--f-footnote-light);
}
.box__list{
    margin: 8px;
    
    padding: 8px;
    font: var(--f-control-large);
    list-style: "-";
}
.listing{
    display: flex;
    gap: 10px;
    height: fit-content;
    transition: height 0.3s ease-in-out;
    line-break: normal;
    max-width: 100%;
}
.listing--toggle{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.listing--toggle + .listing{
    height: 0;
    overflow: hidden;
}
.listing--toggle::after{
    content: "";
    position: relative;
    padding: 24px;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: 90%;
    mask-size: 90%;
    -webkit-mask-position: center;
    mask-position: center;
    transition: transform 0.2s ease-in-out;
    background-color: var(--primary);
    -webkit-mask-image:url("data:image/svg+xml,%3Csvg class='text__icono' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M11.29 8.70998L6.7 13.3C6.31 13.69 6.31 14.32 6.7 14.71C7.09 15.1 7.72 15.1 8.11 14.71L12 10.83L15.88 14.71C16.27 15.1 16.9 15.1 17.29 14.71C17.68 14.32 17.68 13.69 17.29 13.3L12.7 8.70998C12.32 8.31998 11.68 8.31998 11.29 8.70998Z' fill='white'%3E%3C/path%3E%3C/svg%3E");
    mask-image:url("data:image/svg+xml,%3Csvg class='text__icono' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M11.29 8.70998L6.7 13.3C6.31 13.69 6.31 14.32 6.7 14.71C7.09 15.1 7.72 15.1 8.11 14.71L12 10.83L15.88 14.71C16.27 15.1 16.9 15.1 17.29 14.71C17.68 14.32 17.68 13.69 17.29 13.3L12.7 8.70998C12.32 8.31998 11.68 8.31998 11.29 8.70998Z' fill='white'%3E%3C/path%3E%3C/svg%3E");
    transform: rotate3d(180, 2 ,0, 180deg);
    cursor: pointer;
}
.listing--toggle:hover::after{
    -webkit-mask-size: 95%;
    mask-size: 95%;
}
footer .listing--toggle::after{
    background-color: #ffffff;
}
.listing--toggle.listing--open::after{
    transform: rotate3d(0 , 2 ,0, 0deg);
}
.listing--toggle.listing--open + .listing{
    height: fit-content;
    overflow: unset;
display: flex;
    flex-direction: column;
}
.listing--vertical{
    flex-direction: column;
    gap:8px;
}
.listing__item{
    font: var(--f-body-medium);
    position: relative;
    color: inherit;
    text-decoration: none;
    transition: left 0.2s ease-in-out;
    left:0;
    line-break: normal;
}
.listing__item:hover{
    left: 3px;
}
@media (min-width:700px){

    footer .listing--toggle{
        height: auto;
    }
    footer .listing--toggle::after{
        display: none;
    }
    footer .listing--toggle + .listing{
        height: fit-content;
    }
}

.gradient-white-transparent{
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.99)60% , rgba(255,255,255,0));
}
.borde-inferior::after{
    width: calc(100% - 40px);
    margin: auto;
    content: "";
    border-bottom: 1px solid;
}

.highlight:hover > :not(:hover){
    opacity: 0.6;
    transition: opacity 0.3s ease-in-out;
}

.text-shadow{
    text-shadow: var(--text-tertiary) 0px 0px 8px;
}
